## dde-device-formatter 1.5.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

# 设置项目名称和版本
project(dde-device-formatter VERSION 1.0.0)

# 设置 C++ 标准
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# 包含 GNUInstallDirs，用于获取标准安装路径
include(GNUInstallDirs)

# 查找必要的包
find_package(Qt6 COMPONENTS Core Gui Widgets Concurrent Network DBus LinguistTools REQUIRED)
find_package(Dtk6 COMPONENTS Widget Gui REQUIRED)
find_package(udisks2-qt6 REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_check_modules(PKGS REQUIRED
    x11
)

# 设置源文件
set(SOURCES
    main.cpp
    view/mainwindow.cpp
    view/mainpage.cpp
    view/warnpage.cpp
    view/formatingpage.cpp
    view/finishpage.cpp
    view/errorpage.cpp
    app/cmdmanager.cpp
    dialogs/messagedialog.cpp
    app/singletonapp.cpp
    utils/udisksutils.cpp
    utils/fsutils.cpp
)

set(HEADERS
    view/mainwindow.h
    view/mainpage.h
    view/warnpage.h
    view/formatingpage.h
    view/finishpage.h
    view/errorpage.h
    app/cmdmanager.h
    dialogs/messagedialog.h
    app/singletonapp.h
    utils/udisksutils.h
    utils/fsutils.h
)

# 设置翻译文件
file(GLOB TS_FILES "${CMAKE_CURRENT_SOURCE_DIR}/translations/${PROJECT_NAME}*.ts")

# 使用 Qt 提供的翻译工具
qt_add_translations(${PROJECT_NAME}
    # 指定翻译源文件
    TS_FILES ${TS_FILES}
    # 指定 QM 文件输出变量
    QM_FILES_OUTPUT_VARIABLE QM_FILES
    # 指定源文件，用于更新翻译
    SOURCES ${SOURCES} ${HEADERS}
    # 指定 LRELEASE 选项
    LRELEASE_OPTIONS
        -compress
        -nounfinished
        -removeidentical
)

# 在文件开头部分添加自动 moc 处理
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

# 添加可执行文件
add_executable(${PROJECT_NAME} ${SOURCES} ${HEADERS})

# 设置包含目录
target_include_directories(${PROJECT_NAME} PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${PKGS_INCLUDE_DIRS}
)

# 链接库
target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::GuiPrivate
    Qt6::Widgets
    Qt6::Concurrent
    Qt6::Network
    Qt6::DBus
    Dtk6::Widget
    Dtk6::Gui
    udisks2-qt6::udisks2-qt6
    ${PKGS_LIBRARIES}
)

# 添加编译选项
target_compile_options(${PROJECT_NAME} PRIVATE ${PKGS_CFLAGS_OTHER})

# 设置翻译文件路径
set(TRANSLATIONS_INSTALL_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}/translations")

# 添加编译定义，传递安装路径到代码中
target_compile_definitions(${PROJECT_NAME} PRIVATE 
    "TRANSLATIONS_DIR=\"${TRANSLATIONS_INSTALL_DIR}\""
)

# 安装目标
install(TARGETS ${PROJECT_NAME} 
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

# 安装翻译文件
install(FILES ${QM_FILES} 
    DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations
)

# 安装桌面文件
install(FILES dde-device-formatter.desktop 
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
)

## dde-device-formatter 0.0.1.12

=== debian/changelog ===
dde-device-formatter (0.0.1.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 01 Dec 2021 14:53:34 +0800

dde-device-formatter (1.0-1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 14 Nov 2019 16:41:10 +0800

=== debian/control ===
Source: dde-device-formatter
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 debhelper (>=9),
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
 libqt5svg5-dev,
 libdtkwidget-dev,
 libdtkgui-dev,
 qttools5-dev-tools,
 qtdeclarative5-dev,
 deepin-gettext-tools,
 libdtkcore-dev,
 libdtkcore5-bin,
 libudisks2-qt5-dev,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-device-formatter
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Device formatter
 A simple graphical interface for creating file system in a block device.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- VERSION=$(VERSION) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"

## dde-device-formatter 0.0.1.14

=== debian/changelog ===
dde-device-formatter (0.0.1.14-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Sat, 07 May 2022 11:01:53 +0800

## dde-device-formatter 0.0.1.15

=== debian/changelog ===
dde-device-formatter (0.0.1.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Mon, 01 Aug 2022 09:11:28 +0800

## dde-device-formatter 0.0.1.16

=== debian/changelog ===
dde-device-formatter (0.0.1.16) unstable; urgency=medium

  * update baseline version to 0.0.1.16

 -- lvwujun <lvwujun@uniontech.com>  Mon, 15 Apr 2024 15:57:10 +0800

dde-device-formatter (0.0.1.15) unstable; urgency=medium

  * update dde-device-formatter 0.0.1.15 version

 -- ZHANGTINGAN <zhangtingan@uniontech.com>  Tue, 13 Jun 2023 10:04:04 +0800

dde-device-formatter (0.0.1.7) unstable; urgency=medium

  * update dde-device-formatter 0.0.1.7 version

 -- ZHANGTINGAN <zhangtingan@uniontech.com>  Mon, 12 Jun 2023 10:04:04 +0800

dde-device-formatter (1.0.0) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 14 Nov 2019 16:41:10 +0800

## dde-device-formatter 1.5.4

=== debian/changelog ===
dde-device-formatter (1.5.4) unstable; urgency=medium

  * Add support for nilfs2

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Thu, 20 Mar 2025 19:28:46 +0800

dde-device-formatter (1.5.3) unstable; urgency=medium

  * fix bug 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 27 Feb 2025 19:02:08 +0800

dde-device-formatter (1.5.2) unstable; urgency=medium

  * add qt6-base-private-dev

 -- Zhang Sheng <zhangsheng@uniontech.com>  Wed, 08 Jan 2025 09:33:00 +0800

dde-device-formatter (1.5.1) unstable; urgency=medium

  * remove dxcb

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 07 Jan 2025 19:09:06 +0800

dde-device-formatter (1.5.0) unstable; urgency=medium

  * adapt to Qt6

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 31 Dec 2024 14:43:45 +0800

dde-device-formatter (0.0.1.17) unstable; urgency=medium

  * Auto mount after device been formatted.
  * 

 -- XuShitong <xushitong@uniontech.com>  Wed, 25 Dec 2024 15:14:40 +0800

=== debian/control ===
Source: dde-device-formatter
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends: cmake,
  debhelper (>=9),
  pkg-config,
  qt6-base-dev,
  qt6-declarative-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools,
  qt6-base-private-dev,
  libdtk6widget-dev,
  libdtk6gui-dev,
  libdtk6core-dev,
  libudisks2-qt6-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-device-formatter
Architecture: any
Depends: ${shlibs:Depends},
  ${misc:Depends},
  nilfs-tools
Description: Device formatter
  A simple graphical interface for creating file system in a block device.

## dde-device-formatter 1.5.5

=== debian/changelog ===
dde-device-formatter (1.5.5) unstable; urgency=medium

  * update translations

 -- Zhang Sheng <zhangsheng@uniontech.com>  Mon, 23 Jun 2025 14:07:48 +0800

## dde-device-formatter 1.5.8

=== debian/changelog ===
dde-device-formatter (1.5.8) unstable; urgency=medium

  * Update version to 1.5.8

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Thu, 16 Oct 2025 19:03:59 +0800

dde-device-formatter (1.5.7) unstable; urgency=medium

  * Update version to 1.5.7.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 18:42:46 +0800

dde-device-formatter (1.5.6) unstable; urgency=medium

  * remove obsolete English translation file 

 -- Zhang Sheng <zhangsheng@uniontech.com>  Fri, 27 Jun 2025 17:11:30 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
 Build-Depends: cmake,
   debhelper (>=9),
-  pkg-config,
   qt6-base-dev,
   qt6-declarative-dev,
   qt6-tools-dev,
